Bug 1190774 - Add "Fedora" to user agent string
Summary: Add "Fedora" to user agent string
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 15:45 UTC by Martin Stransky
Modified: 2017-04-07 10:41 UTC (History)
3 users (show)

Fixed In Version: firefox-35.0.1-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 17:23:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Stransky 2015-02-09 15:45:28 UTC
Description of problem:

Firefox User Agent string should contain "Fedora" as a distribution mark.

Comment 1 Martin Stransky 2015-02-09 17:23:28 UTC
Added to firefox-35.0.1-5

Comment 2 Moez Roy 2015-02-09 23:39:11 UTC
(In reply to Martin Stransky from comment #0)
> Description of problem:
> 
> Firefox User Agent string should contain "Fedora" as a distribution mark.

I don't think this is a good change.

You are making Fedora users more identifiable.

https://panopticlick.eff.org/

I would suggest going so far as changing the user agent string completely so that Fedora users would seem to be using a Windows computer.

i.e. Mozilla/5.0 (Windows NT 6.1; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0

Comment 3 Fedora Update System 2015-02-10 09:04:23 UTC
firefox-35.0.1-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/firefox-35.0.1-5.fc21

Comment 4 Fedora Update System 2015-02-10 09:04:31 UTC
firefox-35.0.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firefox-35.0.1-5.fc20

Comment 5 Martin Stransky 2015-02-10 09:27:38 UTC
(In reply to Moez Roy from comment #2)
> (In reply to Martin Stransky from comment #0)
> > Description of problem:
> > 
> > Firefox User Agent string should contain "Fedora" as a distribution mark.
> 
> I don't think this is a good change.
> 
> You are making Fedora users more identifiable.
> 
> https://panopticlick.eff.org/

That's right, but we decided to advertise Fedora here, as other distro does. As you can see the UA string is not so significant, the combination of installed plugins and their versions provides much more unique info.

> I would suggest going so far as changing the user agent string completely so
> that Fedora users would seem to be using a Windows computer.
> 
> i.e. Mozilla/5.0 (Windows NT 6.1; WOW64; rv:35.0) Gecko/20100101 Firefox/35.0

If you wish so radical change, please do that so for yourself by "general.useragent.override" preference. You just need to add it there and set for any value you like.

Comment 6 Martin Stransky 2015-02-10 09:50:30 UTC
But note - windows user agent with installed linux plugins - that combination may create the most exotic browser ever :)

Comment 7 Fedora Update System 2015-02-17 08:05:58 UTC
firefox-35.0.1-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-18 05:56:11 UTC
firefox-35.0.1-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Claudio 2017-04-07 01:06:59 UTC
Changing Firefox user agent to reflect the distribution trademark breaks Netflix since it's not whitelisted.

I'm not sure it brings any real world benefit to end users (personally I never even noticed until now), could it be reverted ?

Comment 10 Martin Stransky 2017-04-07 10:41:20 UTC
Fedora is explicitly blocked by Netflix, try to change "Fedora" to anything else. See Bug 1439293.


Note You need to log in before you can comment on or make changes to this bug.